From: "Kenton Groombridge" <concord@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-admin/setools/
Date: Wed, 17 Jan 2024 01:33:43 +0000 (UTC) [thread overview]
Message-ID: <1705454937.cee102b9f47d416612fcf36b5f80d3bb99011b57.concord@gentoo> (raw)
commit: cee102b9f47d416612fcf36b5f80d3bb99011b57
Author: Kenton Groombridge <concord <AT> gentoo <DOT> org>
AuthorDate: Wed Jan 17 00:51:31 2024 +0000
Commit: Kenton Groombridge <concord <AT> gentoo <DOT> org>
CommitDate: Wed Jan 17 01:28:57 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cee102b9
app-admin/setools: add 4.4.4
Bug: https://bugs.gentoo.org/922136
Signed-off-by: Kenton Groombridge <concord <AT> gentoo.org>
app-admin/setools/Manifest | 1 +
app-admin/setools/setools-4.4.4.ebuild | 57 ++++++++++++++++++++++++++++++++++
2 files changed, 58 insertions(+)
diff --git a/app-admin/setools/Manifest b/app-admin/setools/Manifest
index ebb92c6431fe..2e475c76c75d 100644
--- a/app-admin/setools/Manifest
+++ b/app-admin/setools/Manifest
@@ -1 +1,2 @@
DIST setools-4.4.2.tar.bz2 261962 BLAKE2B 7c8e47d8c15f1eb72d93da5d3ae1a64e857ed0a75e1a47bbad9e4b0d11180581d9e4705ebe942e460acbc4d68261f06f9b03a8c4af1516cc388c201e30dca75e SHA512 4e8cba61ca28459387d862136a2d8ee0914c4bcd254a6d39792cbfcbbf7e58cb82223c05d66c114b08aebbd75c11cef11517c51f674ddb3c1913dc85414546c1
+DIST setools-4.4.4.tar.bz2 262867 BLAKE2B d64605ef050a2d51531e2a180bff086da536aa8d5e5c8cb96a81e137f575d089f9e9ec117cf0de9864f07174d92258b27ebf8fbc462714ef50bbd6d9f80d0a60 SHA512 ef72a7244ba0c724c4aea3afc40d71427e9c0592715f81cccaa8917e96836a88807ea78039c11c261dd3b4d72294accd76ab4bd37447cd500772030245db3c6e
diff --git a/app-admin/setools/setools-4.4.4.ebuild b/app-admin/setools/setools-4.4.4.ebuild
new file mode 100644
index 000000000000..ec3d11050109
--- /dev/null
+++ b/app-admin/setools/setools-4.4.4.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{10..12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Policy Analysis Tools for SELinux"
+HOMEPAGE="https://github.com/SELinuxProject/setools/wiki"
+
+if [[ ${PV} == 9999 ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/SELinuxProject/setools.git"
+ S="${WORKDIR}/${P}"
+else
+ SRC_URI="https://github.com/SELinuxProject/setools/releases/download/${PV}/${P}.tar.bz2"
+ KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+ S="${WORKDIR}/${PN}"
+fi
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+IUSE="test X"
+RESTRICT="!test? ( test )"
+
+RDEPEND="${PYTHON_DEPS}
+ >=dev-python/networkx-2.0[${PYTHON_USEDEP}]
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ >=sys-libs/libsepol-3.2:=
+ >=sys-libs/libselinux-3.2:=
+ X? (
+ dev-python/PyQt5[gui,widgets,${PYTHON_USEDEP}]
+ )"
+DEPEND="${RDEPEND}"
+BDEPEND=">=dev-python/cython-0.27[${PYTHON_USEDEP}]
+ test? (
+ sys-apps/checkpolicy
+ )"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ sed -i "s@^lib_dirs = .*@lib_dirs = ['${ROOT:-/}usr/$(get_libdir)']@" "${S}"/setup.py || \
+ die "failed to set lib_dirs"
+
+ use X || PATCHES+=( "${FILESDIR}"/setools-4.4.2-remove-gui.patch )
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ rm -rf setools || die
+ epytest
+}
next reply other threads:[~2024-01-17 1:33 UTC|newest]
Thread overview: 64+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-01-17 1:33 Kenton Groombridge [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-03-06 20:11 [gentoo-commits] repo/gentoo:master commit in: app-admin/setools/ Andreas Sturmlechner
2025-03-06 19:06 Arthur Zamarin
2025-03-06 19:06 Arthur Zamarin
2025-02-09 22:45 Jason Zaman
2025-01-25 12:35 Arthur Zamarin
2025-01-10 11:06 Arthur Zamarin
2025-01-10 11:06 Arthur Zamarin
2025-01-10 8:47 Arthur Zamarin
2024-07-19 19:50 Jakov Smolić
2024-07-19 16:36 Jakov Smolić
2024-05-05 20:52 Jason Zaman
2024-02-09 14:41 Kenton Groombridge
2024-01-17 1:33 Kenton Groombridge
2023-09-24 16:16 Kenton Groombridge
2023-07-27 7:18 Sam James
2023-07-27 7:07 Sam James
2023-07-27 7:07 Sam James
2023-03-30 0:09 Kenton Groombridge
2022-04-12 1:37 Jason Zaman
2022-04-11 3:44 Jason Zaman
2021-11-20 23:20 Sam James
2021-11-20 23:20 Sam James
2021-11-20 15:00 Sam James
2021-09-19 6:48 Sam James
2021-09-19 6:30 Sam James
2021-07-28 20:08 Sam James
2021-07-04 22:19 Sam James
2021-04-03 4:19 Jason Zaman
2021-01-03 8:20 Jason Zaman
2020-12-03 3:12 Jason Zaman
2020-08-13 20:25 Michał Górny
2020-02-15 13:21 Jason Zaman
2020-02-15 13:21 Jason Zaman
2019-12-08 18:39 Jason Zaman
2019-08-17 10:09 Jason Zaman
2019-08-17 10:09 Jason Zaman
2019-08-17 10:09 Jason Zaman
2019-02-09 11:49 Jason Zaman
2018-12-27 11:26 Jason Zaman
2018-08-12 15:38 Virgil Dupras
2018-05-28 9:32 Jason Zaman
2018-05-25 7:58 Jason Zaman
2018-05-25 7:58 Jason Zaman
2018-03-03 18:38 Michał Górny
2018-03-02 6:27 Jason Zaman
2017-12-06 13:33 Jason Zaman
2017-09-23 2:15 Jason Zaman
2017-09-23 2:15 Jason Zaman
2017-08-07 16:48 Jason Zaman
2017-08-07 16:48 Jason Zaman
2017-04-23 4:28 Jason Zaman
2017-04-23 4:04 Jason Zaman
2017-04-19 8:03 David Seifert
2017-04-10 18:39 Sven Vermeulen
2017-02-01 17:23 Sven Vermeulen
2017-02-01 17:23 Sven Vermeulen
2017-02-01 17:18 Sven Vermeulen
2016-12-12 14:01 Jason Zaman
2016-10-03 7:30 Jason Zaman
2016-09-01 16:31 Jason Zaman
2016-06-22 6:43 Patrice Clement
2016-06-01 13:19 Jason Zaman
2015-12-21 8:57 Jason Zaman
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1705454937.cee102b9f47d416612fcf36b5f80d3bb99011b57.concord@gentoo \
--to=concord@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox